searchNodes=[{"doc":"High-performance, concurrent, and mutable Cuckoo Filter implemented using atomics for Erlang and Elixir.","ref":"cuckoo_filter.html","title":"cuckoo_filter","type":"module"},{"doc":"Equivalent to add(Filter, Element, infinity) .","ref":"cuckoo_filter.html#add/2","title":"cuckoo_filter.add/2","type":"function"},{"doc":"Adds an element to a filter. Returns ok if the insertion was successful, but could return {error, not_enough_space} , when the filter is nearing its capacity. When LockTimeout is given, it could return {error, timeout} , if it can not acquire the lock within LockTimeout milliseconds. If force is given as the 3rd argument, and there is no room for the element to be inserted, another random element is removed, and the removed element is returned as {ok, {Index, Fingerprint}} . In this case, elements are not relocated, and no lock is acquired. Forced insertion can only be used with max_evictions set to 0.","ref":"cuckoo_filter.html#add/3","title":"cuckoo_filter.add/3","type":"function"},{"doc":"Equivalent to add_hash(Filter, Element, infinity) .","ref":"cuckoo_filter.html#add_hash/2","title":"cuckoo_filter.add_hash/2","type":"function"},{"doc":"Adds an element to a filter by its hash. Same as add/3 except that it accepts the hash of the element instead of the element.","ref":"cuckoo_filter.html#add_hash/3","title":"cuckoo_filter.add_hash/3","type":"function"},{"doc":"Returns the maximum capacity of a filter.","ref":"cuckoo_filter.html#capacity/1","title":"cuckoo_filter.capacity/1","type":"function"},{"doc":"Checks if an element is in a filter.","ref":"cuckoo_filter.html#contains/2","title":"cuckoo_filter.contains/2","type":"function"},{"doc":"Checks whether a filter contains a fingerprint at the given index or its alternative index.","ref":"cuckoo_filter.html#contains_fingerprint/3","title":"cuckoo_filter.contains_fingerprint/3","type":"function"},{"doc":"Checks if an element is in a filter by its hash.","ref":"cuckoo_filter.html#contains_hash/2","title":"cuckoo_filter.contains_hash/2","type":"function"},{"doc":"Equivalent to delete(Filter, Element, infinity) .","ref":"cuckoo_filter.html#delete/2","title":"cuckoo_filter.delete/2","type":"function"},{"doc":"Deletes an element from a filter. Returns ok if the deletion was successful, and returns {error, not_found} if the element could not be found in the filter. When LockTimeout is given, it could return {error, timeout} , if it can not acquire the lock within LockTimeout milliseconds. Note: A cuckoo filter can only delete items that are known to be inserted before. Deleting of non inserted items might lead to deletion of another random element.","ref":"cuckoo_filter.html#delete/3","title":"cuckoo_filter.delete/3","type":"function"},{"doc":"Equivalent to delete_hash(Filter, Element, infinity) .","ref":"cuckoo_filter.html#delete_hash/2","title":"cuckoo_filter.delete_hash/2","type":"function"},{"doc":"Deletes an element from a filter by its hash. Same as delete/3 except that it uses the hash of the element instead of the element.","ref":"cuckoo_filter.html#delete_hash/3","title":"cuckoo_filter.delete_hash/3","type":"function"},{"doc":"Exports a filter as a binary. Returned binary can be used to reconstruct the filter again, using import/2 function.","ref":"cuckoo_filter.html#export/1","title":"cuckoo_filter.export/1","type":"function"},{"doc":"Returns the hash value of an element using the hash function of the filter.","ref":"cuckoo_filter.html#hash/2","title":"cuckoo_filter.hash/2","type":"function"},{"doc":"Imports filter data from a binary created using export/1 . Returns ok if the import was successful, but could return {ok, invalid_data_size} if the size of the given binary does not match the size of the filter.","ref":"cuckoo_filter.html#import/2","title":"cuckoo_filter.import/2","type":"function"},{"doc":"Equivalent to new(Capacity, []) .","ref":"cuckoo_filter.html#new/1","title":"cuckoo_filter.new/1","type":"function"},{"doc":"Creates a new cuckoo filter with the given capacity and options Note that the actual capacity might be higher than the given capacity, because internally number of buckets in a cuckoo filter must be a power of 2. Possible options are: {name, Name} If you give it a name, created filter instance will be stored in persistent_term, and later you can access the filter by its name. {fingerprint_size, FingerprintSize} FingerprintSize can be one of 4, 8, 16, 32, and 64 bits. Default fingerprint size is 16 bits. {bucket_size, BucketSize} BucketSize must be a non negative integer, and the default value is 4. Higher bucket sizes can reduce insert time considerably since it reduces the number of relocations of existing fingerprints in occupied buckets, but it increases the lookup time, and false positive rate. {max_evictions, MaxEvictions} MaxEvictions indicates the maximum number of relocation attemps before giving up when inserting a new element. {hash_function, HashFunction} You can specify a custom hash function that accepts a binary as argument and returns hash value as an integer. By default xxh3 hash functions are used, and you need to manually add xxh3 to the list of your project dependencies.","ref":"cuckoo_filter.html#new/2","title":"cuckoo_filter.new/2","type":"function"},{"doc":"Returns number of items in a filter.","ref":"cuckoo_filter.html#size/1","title":"cuckoo_filter.size/1","type":"function"},{"doc":"Retrieves a cuckoo_filter from persistent_term by its name.","ref":"cuckoo_filter.html#whereis/1","title":"cuckoo_filter.whereis/1","type":"function"},{"doc":"","ref":"cuckoo_filter.html#t:cuckoo_filter/0","title":"cuckoo_filter.cuckoo_filter/0","type":"type"},{"doc":"","ref":"cuckoo_filter.html#t:filter_name/0","title":"cuckoo_filter.filter_name/0","type":"type"},{"doc":"","ref":"cuckoo_filter.html#t:fingerprint/0","title":"cuckoo_filter.fingerprint/0","type":"type"},{"doc":"","ref":"cuckoo_filter.html#t:hash/0","title":"cuckoo_filter.hash/0","type":"type"},{"doc":"","ref":"cuckoo_filter.html#t:index/0","title":"cuckoo_filter.index/0","type":"type"},{"doc":"","ref":"cuckoo_filter.html#t:option/0","title":"cuckoo_filter.option/0","type":"type"},{"doc":"","ref":"cuckoo_filter.html#t:options/0","title":"cuckoo_filter.options/0","type":"type"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS Copyright 2021, Ali Farhadi &lt;a.farhadi@gmail.com&gt;. Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]